## aionotify 0.2.0

=== Makefile ===
PACKAGE := aionotify

CODE_DIRS := aionotify/ tests/ examples/


default: test


test:
	tox


lint:
	flake8 $(CODE_DIRS)

=== debian/changelog ===
aionotify (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Replace obsolete @asyncio.coroutine with async def (Closes: #1024786)
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 21:40:42 +0100

aionotify (0.2.0-2) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  [ Sergio Durigan Junior ]
  * d/control: Bump Standards-Version to 4.5.1.
  * d/control: Bump debhelper-compat to 13.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 20 Dec 2020 18:58:56 -0500

aionotify (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #948303).

 -- Adam Cecile <acecile@le-vert.net>  Fri, 14 Feb 2020 16:14:13 +0100

=== debian/control ===
Source: aionotify
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adam Cecile <acecile@le-vert.net>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools,
# TODO package not in the archive yet
# python3-asynctest <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/rbarrois/aionotify
Vcs-Browser: https://salsa.debian.org/python-team/packages/aionotify
Vcs-Git: https://salsa.debian.org/python-team/packages/aionotify.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-aionotify
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Simple, asyncio-based inotify library for Python
 Asyncio library to create watchers on filesystem using inotify API
 and generate events from changes.
 .
 An event is a simple object with a few attributes:
  - name: the path of the modified file
  - flags: the modification flag; use aionotify.Flags.parse() to parse it
  - alias: the alias of the watch triggering the event
  - cookie: for renames, this integer value links the renamed from/to events

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=aionotify

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	# TODO requires missing python3-asynctest package
	#dh_auto_test
endif

override_dh_installexamples:
	dh_installexamples
	find debian/python3-aionotify/usr/share/doc/python3-aionotify/examples/ \
	  -name '*.py' \
	  -exec sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' {} \;
